Imported Upstream version 1.49.1
[platform/upstream/gobject-introspection.git] / tests / warn / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- Mode: make -*-
18 # Copyright 2009-2010 Johan Dahlin
19 #
20 # This file defines variables that are compatible with
21 # Makefile.introspection, but for use within the gobject-introspection
22 # module itself.
23 #
24 VPATH = @srcdir@
25 am__is_gnu_make = { \
26   if test -z '$(MAKELEVEL)'; then \
27     false; \
28   elif test -n '$(MAKE_HOST)'; then \
29     true; \
30   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
31     true; \
32   else \
33     false; \
34   fi; \
35 }
36 am__make_running_with_option = \
37   case $${target_option-} in \
38       ?) ;; \
39       *) echo "am__make_running_with_option: internal error: invalid" \
40               "target option '$${target_option-}' specified" >&2; \
41          exit 1;; \
42   esac; \
43   has_opt=no; \
44   sane_makeflags=$$MAKEFLAGS; \
45   if $(am__is_gnu_make); then \
46     sane_makeflags=$$MFLAGS; \
47   else \
48     case $$MAKEFLAGS in \
49       *\\[\ \   ]*) \
50         bs=\\; \
51         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
53     esac; \
54   fi; \
55   skip_next=no; \
56   strip_trailopt () \
57   { \
58     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59   }; \
60   for flg in $$sane_makeflags; do \
61     test $$skip_next = yes && { skip_next=no; continue; }; \
62     case $$flg in \
63       *=*|--*) continue;; \
64         -*I) strip_trailopt 'I'; skip_next=yes;; \
65       -*I?*) strip_trailopt 'I';; \
66         -*O) strip_trailopt 'O'; skip_next=yes;; \
67       -*O?*) strip_trailopt 'O';; \
68         -*l) strip_trailopt 'l'; skip_next=yes;; \
69       -*l?*) strip_trailopt 'l';; \
70       -[dEDm]) skip_next=yes;; \
71       -[JT]) skip_next=yes;; \
72     esac; \
73     case $$flg in \
74       *$$target_option*) has_opt=yes; break;; \
75     esac; \
76   done; \
77   test $$has_opt = yes
78 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80 pkgdatadir = $(datadir)/@PACKAGE@
81 pkgincludedir = $(includedir)/@PACKAGE@
82 pkglibdir = $(libdir)/@PACKAGE@
83 pkglibexecdir = $(libexecdir)/@PACKAGE@
84 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85 install_sh_DATA = $(install_sh) -c -m 644
86 install_sh_PROGRAM = $(install_sh) -c
87 install_sh_SCRIPT = $(install_sh) -c
88 INSTALL_HEADER = $(INSTALL_DATA)
89 transform = $(program_transform_name)
90 NORMAL_INSTALL = :
91 PRE_INSTALL = :
92 POST_INSTALL = :
93 NORMAL_UNINSTALL = :
94 PRE_UNINSTALL = :
95 POST_UNINSTALL = :
96 build_triplet = @build@
97 host_triplet = @host@
98 subdir = tests/warn
99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
101         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
102         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
103         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
104         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
108 mkinstalldirs = $(install_sh) -d
109 CONFIG_HEADER = $(top_builddir)/config.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 AM_V_P = $(am__v_P_@AM_V@)
113 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114 am__v_P_0 = false
115 am__v_P_1 = :
116 AM_V_GEN = $(am__v_GEN_@AM_V@)
117 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118 am__v_GEN_0 = @echo "  GEN     " $@;
119 am__v_GEN_1 = 
120 AM_V_at = $(am__v_at_@AM_V@)
121 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122 am__v_at_0 = @
123 am__v_at_1 = 
124 SOURCES =
125 DIST_SOURCES =
126 am__can_run_installinfo = \
127   case $$AM_UPDATE_INFO_DIR in \
128     n|no|NO) false;; \
129     *) (install-info --version) >/dev/null 2>&1;; \
130   esac
131 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
132 am__tty_colors_dummy = \
133   mgn= red= grn= lgn= blu= brg= std=; \
134   am__color_tests=no
135 am__tty_colors = { \
136   $(am__tty_colors_dummy); \
137   if test "X$(AM_COLOR_TESTS)" = Xno; then \
138     am__color_tests=no; \
139   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
140     am__color_tests=yes; \
141   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
142     am__color_tests=yes; \
143   fi; \
144   if test $$am__color_tests = yes; then \
145     red='\e[0;31m'; \
146     grn='\e[0;32m'; \
147     lgn='\e[1;32m'; \
148     blu='\e[1;34m'; \
149     mgn='\e[0;35m'; \
150     brg='\e[1m'; \
151     std='\e[m'; \
152   fi; \
153 }
154 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
155 am__vpath_adj = case $$p in \
156     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
157     *) f=$$p;; \
158   esac;
159 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
160 am__install_max = 40
161 am__nobase_strip_setup = \
162   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
163 am__nobase_strip = \
164   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
165 am__nobase_list = $(am__nobase_strip_setup); \
166   for p in $$list; do echo "$$p $$p"; done | \
167   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
168   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
169     if (++n[$$2] == $(am__install_max)) \
170       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
171     END { for (dir in files) print dir, files[dir] }'
172 am__base_list = \
173   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
174   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
175 am__uninstall_files_from_dir = { \
176   test -z "$$files" \
177     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
178     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
179          $(am__cd) "$$dir" && rm -f $$files; }; \
180   }
181 am__recheck_rx = ^[     ]*:recheck:[    ]*
182 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
183 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
184 # A command that, given a newline-separated list of test names on the
185 # standard input, print the name of the tests that are to be re-run
186 # upon "make recheck".
187 am__list_recheck_tests = $(AWK) '{ \
188   recheck = 1; \
189   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
190     { \
191       if (rc < 0) \
192         { \
193           if ((getline line2 < ($$0 ".log")) < 0) \
194             recheck = 0; \
195           break; \
196         } \
197       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
198         { \
199           recheck = 0; \
200           break; \
201         } \
202       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
203         { \
204           break; \
205         } \
206     }; \
207   if (recheck) \
208     print $$0; \
209   close ($$0 ".trs"); \
210   close ($$0 ".log"); \
211 }'
212 # A command that, given a newline-separated list of test names on the
213 # standard input, create the global log from their .trs and .log files.
214 am__create_global_log = $(AWK) ' \
215 function fatal(msg) \
216 { \
217   print "fatal: making $@: " msg | "cat >&2"; \
218   exit 1; \
219 } \
220 function rst_section(header) \
221 { \
222   print header; \
223   len = length(header); \
224   for (i = 1; i <= len; i = i + 1) \
225     printf "="; \
226   printf "\n\n"; \
227 } \
228 { \
229   copy_in_global_log = 1; \
230   global_test_result = "RUN"; \
231   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
232     { \
233       if (rc < 0) \
234          fatal("failed to read from " $$0 ".trs"); \
235       if (line ~ /$(am__global_test_result_rx)/) \
236         { \
237           sub("$(am__global_test_result_rx)", "", line); \
238           sub("[        ]*$$", "", line); \
239           global_test_result = line; \
240         } \
241       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
242         copy_in_global_log = 0; \
243     }; \
244   if (copy_in_global_log) \
245     { \
246       rst_section(global_test_result ": " $$0); \
247       while ((rc = (getline line < ($$0 ".log"))) != 0) \
248       { \
249         if (rc < 0) \
250           fatal("failed to read from " $$0 ".log"); \
251         print line; \
252       }; \
253       printf "\n"; \
254     }; \
255   close ($$0 ".trs"); \
256   close ($$0 ".log"); \
257 }'
258 # Restructured Text title.
259 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
260 # Solaris 10 'make', and several other traditional 'make' implementations,
261 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
262 # by disabling -e (using the XSI extension "set +e") if it's set.
263 am__sh_e_setup = case $$- in *e*) set +e;; esac
264 # Default flags passed to test drivers.
265 am__common_driver_flags = \
266   --color-tests "$$am__color_tests" \
267   --enable-hard-errors "$$am__enable_hard_errors" \
268   --expect-failure "$$am__expect_failure"
269 # To be inserted before the command running the test.  Creates the
270 # directory for the log if needed.  Stores in $dir the directory
271 # containing $f, in $tst the test, in $log the log.  Executes the
272 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
273 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
274 # will run the test scripts (or their associated LOG_COMPILER, if
275 # thy have one).
276 am__check_pre = \
277 $(am__sh_e_setup);                                      \
278 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
279 $(am__tty_colors);                                      \
280 srcdir=$(srcdir); export srcdir;                        \
281 case "$@" in                                            \
282   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
283     *) am__odir=.;;                                     \
284 esac;                                                   \
285 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
286   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
287 if test -f "./$$f"; then dir=./;                        \
288 elif test -f "$$f"; then dir=;                          \
289 else dir="$(srcdir)/"; fi;                              \
290 tst=$$dir$$f; log='$@';                                 \
291 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
292   am__enable_hard_errors=no;                            \
293 else                                                    \
294   am__enable_hard_errors=yes;                           \
295 fi;                                                     \
296 case " $(XFAIL_TESTS) " in                              \
297   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
298     am__expect_failure=yes;;                            \
299   *)                                                    \
300     am__expect_failure=no;;                             \
301 esac;                                                   \
302 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
303 # A shell command to get the names of the tests scripts with any registered
304 # extension removed (i.e., equivalently, the names of the test logs, with
305 # the '.log' extension removed).  The result is saved in the shell variable
306 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
307 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
308 # since that might cause problem with VPATH rewrites for suffix-less tests.
309 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
310 am__set_TESTS_bases = \
311   bases='$(TEST_LOGS)'; \
312   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
313   bases=`echo $$bases`
314 RECHECK_LOGS = $(TEST_LOGS)
315 AM_RECURSIVE_TARGETS = check recheck
316 TEST_SUITE_LOG = test-suite.log
317 TEST_EXTENSIONS = @EXEEXT@ .test
318 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
319 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
320 am__set_b = \
321   case '$@' in \
322     */*) \
323       case '$*' in \
324         */*) b='$*';; \
325           *) b=`echo '$@' | sed 's/\.log$$//'`; \
326        esac;; \
327     *) \
328       b='$*';; \
329   esac
330 am__test_logs1 = $(TESTS:=.log)
331 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
332 TEST_LOGS = $(am__test_logs2:.test.log=.log)
333 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
334 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
335         $(TEST_LOG_FLAGS)
336 am__DIST_COMMON = $(srcdir)/Makefile.in \
337         $(top_srcdir)/build-aux/test-driver $(top_srcdir)/common.mk
338 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
339 ACLOCAL = @ACLOCAL@
340 AMTAR = @AMTAR@
341 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
342 AR = @AR@
343 AUTOCONF = @AUTOCONF@
344 AUTOHEADER = @AUTOHEADER@
345 AUTOMAKE = @AUTOMAKE@
346 AWK = @AWK@
347 CAIRO_CFLAGS = @CAIRO_CFLAGS@
348 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
349 CAIRO_LIBS = @CAIRO_LIBS@
350 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
351 CC = @CC@
352 CCDEPMODE = @CCDEPMODE@
353 CFLAGS = @CFLAGS@
354 CPP = @CPP@
355 CPPFLAGS = @CPPFLAGS@
356 CYGPATH_W = @CYGPATH_W@
357 DEFS = @DEFS@
358 DEPDIR = @DEPDIR@
359 DLLTOOL = @DLLTOOL@
360 DSYMUTIL = @DSYMUTIL@
361 DUMPBIN = @DUMPBIN@
362 ECHO_C = @ECHO_C@
363 ECHO_N = @ECHO_N@
364 ECHO_T = @ECHO_T@
365 EGREP = @EGREP@
366 EXEEXT = @EXEEXT@
367 EXPANDED_BINDIR = @EXPANDED_BINDIR@
368 EXPANDED_DATADIR = @EXPANDED_DATADIR@
369 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
370 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
371 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
372 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
373 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
374 FFI_CFLAGS = @FFI_CFLAGS@
375 FFI_LIBS = @FFI_LIBS@
376 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
377 FFI_PC_LIBS = @FFI_PC_LIBS@
378 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
379 FGREP = @FGREP@
380 GIO_CFLAGS = @GIO_CFLAGS@
381 GIO_LIBS = @GIO_LIBS@
382 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
383 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
384 GIREPO_CFLAGS = @GIREPO_CFLAGS@
385 GIREPO_LIBS = @GIREPO_LIBS@
386 GIR_DIR = @GIR_DIR@
387 GIR_SUFFIX = @GIR_SUFFIX@
388 GI_HIDDEN_VISIBILITY_CFLAGS = @GI_HIDDEN_VISIBILITY_CFLAGS@
389 GI_VERSION = @GI_VERSION@
390 GLIBSRC = @GLIBSRC@
391 GLIB_CFLAGS = @GLIB_CFLAGS@
392 GLIB_LIBS = @GLIB_LIBS@
393 GMODULE_CFLAGS = @GMODULE_CFLAGS@
394 GMODULE_LIBS = @GMODULE_LIBS@
395 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
396 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
397 GOBJECT_LIBS = @GOBJECT_LIBS@
398 GREP = @GREP@
399 GTKDOC_CHECK = @GTKDOC_CHECK@
400 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
401 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
402 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
403 GTKDOC_MKPDF = @GTKDOC_MKPDF@
404 GTKDOC_REBASE = @GTKDOC_REBASE@
405 HTML_DIR = @HTML_DIR@
406 INSTALL = @INSTALL@
407 INSTALL_DATA = @INSTALL_DATA@
408 INSTALL_PROGRAM = @INSTALL_PROGRAM@
409 INSTALL_SCRIPT = @INSTALL_SCRIPT@
410 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
411 LD = @LD@
412 LDFLAGS = @LDFLAGS@
413 LEX = @LEX@
414 LEXLIB = @LEXLIB@
415 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
416 LIBOBJS = @LIBOBJS@
417 LIBS = @LIBS@
418 LIBTOOL = @LIBTOOL@
419 LIPO = @LIPO@
420 LN_S = @LN_S@
421 LTLIBOBJS = @LTLIBOBJS@
422 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
423 MAINT = @MAINT@
424 MAKEINFO = @MAKEINFO@
425 MANIFEST_TOOL = @MANIFEST_TOOL@
426 MKDIR_P = @MKDIR_P@
427 NM = @NM@
428 NMEDIT = @NMEDIT@
429 OBJDUMP = @OBJDUMP@
430 OBJEXT = @OBJEXT@
431 OTOOL = @OTOOL@
432 OTOOL64 = @OTOOL64@
433 PACKAGE = @PACKAGE@
434 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
435 PACKAGE_NAME = @PACKAGE_NAME@
436 PACKAGE_STRING = @PACKAGE_STRING@
437 PACKAGE_TARNAME = @PACKAGE_TARNAME@
438 PACKAGE_URL = @PACKAGE_URL@
439 PACKAGE_VERSION = @PACKAGE_VERSION@
440 PATH_SEPARATOR = @PATH_SEPARATOR@
441 PKG_CONFIG = @PKG_CONFIG@
442 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
443 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
444 POW_LIB = @POW_LIB@
445 PYTHON = @PYTHON@
446 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
447 PYTHON_INCLUDES = @PYTHON_INCLUDES@
448 PYTHON_LIBS = @PYTHON_LIBS@
449 PYTHON_PLATFORM = @PYTHON_PLATFORM@
450 PYTHON_PREFIX = @PYTHON_PREFIX@
451 PYTHON_VERSION = @PYTHON_VERSION@
452 RANLIB = @RANLIB@
453 SCANNER_CFLAGS = @SCANNER_CFLAGS@
454 SCANNER_LIBS = @SCANNER_LIBS@
455 SED = @SED@
456 SET_MAKE = @SET_MAKE@
457 SHELL = @SHELL@
458 STRIP = @STRIP@
459 VERSION = @VERSION@
460 YACC = @YACC@
461 abs_builddir = @abs_builddir@
462 abs_srcdir = @abs_srcdir@
463 abs_top_builddir = @abs_top_builddir@
464 abs_top_srcdir = @abs_top_srcdir@
465 ac_ct_AR = @ac_ct_AR@
466 ac_ct_CC = @ac_ct_CC@
467 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
468 am__include = @am__include@
469 am__leading_dot = @am__leading_dot@
470 am__quote = @am__quote@
471 am__tar = @am__tar@
472 am__untar = @am__untar@
473 bindir = @bindir@
474 build = @build@
475 build_alias = @build_alias@
476 build_cpu = @build_cpu@
477 build_os = @build_os@
478 build_vendor = @build_vendor@
479 builddir = @builddir@
480 datadir = @datadir@
481 datarootdir = @datarootdir@
482 docdir = @docdir@
483 dvidir = @dvidir@
484 exec_prefix = @exec_prefix@
485 host = @host@
486 host_alias = @host_alias@
487 host_cpu = @host_cpu@
488 host_os = @host_os@
489 host_vendor = @host_vendor@
490 htmldir = @htmldir@
491 includedir = @includedir@
492 infodir = @infodir@
493 install_sh = @install_sh@
494 libdir = @libdir@
495 libexecdir = @libexecdir@
496 localedir = @localedir@
497 localstatedir = @localstatedir@
498 mandir = @mandir@
499 mkdir_p = @mkdir_p@
500 oldincludedir = @oldincludedir@
501 pdfdir = @pdfdir@
502 pkgpyexecdir = @pkgpyexecdir@
503 pkgpythondir = @pkgpythondir@
504 prefix = @prefix@
505 program_transform_name = @program_transform_name@
506 psdir = @psdir@
507 pyexecdir = @pyexecdir@
508 pythondir = @pythondir@
509 sbindir = @sbindir@
510 sharedstatedir = @sharedstatedir@
511 srcdir = @srcdir@
512 sysconfdir = @sysconfdir@
513 target_alias = @target_alias@
514 top_build_prefix = @top_build_prefix@
515 top_builddir = @top_builddir@
516 top_srcdir = @top_srcdir@
517 INTROSPECTION_SCANNER = \
518     env PATH=".libs:$(PATH)" \
519         LPATH=.libs \
520         CC="$(CC)" \
521         PYTHONPATH=$(top_builddir):$(top_srcdir) \
522         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
523         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
524         $(top_builddir)/g-ir-scanner
525
526 INTROSPECTION_SCANNER_ARGS = \
527     --verbose \
528     -I$(top_srcdir) \
529     --add-include-path=$(srcdir) \
530     --add-include-path=$(top_srcdir)/gir \
531     --add-include-path=$(builddir) \
532     --add-include-path=$(top_builddir) \
533     --add-include-path=$(top_builddir)/gir
534
535
536 # GI_CROSS_LAUNCHER is the command to use for executing g-ir-compiler.
537 # Normally will be undefined but can be set (e.g. to wine or qemu)
538 # when cross-compiling
539 INTROSPECTION_COMPILER = \
540     env PATH=".libs:$(PATH)" \
541         $(GI_CROSS_LAUNCHER) \
542         $(top_builddir)/g-ir-compiler$(EXEEXT)
543
544 INTROSPECTION_COMPILER_ARGS = \
545     --includedir=$(srcdir) \
546     --includedir=$(top_srcdir)/gir \
547     --includedir=$(builddir) \
548     --includedir=$(top_builddir) \
549     --includedir=$(top_builddir)/gir
550
551 INTROSPECTION_DOCTOOL = \
552     env PATH=".libs:$(PATH)" \
553         LPATH=.libs \
554         PYTHONPATH=$(top_builddir):$(top_srcdir) \
555         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
556         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
557         $(top_builddir)/g-ir-doc-tool
558
559 INTROSPECTION_DOCTOOL_ARGS = \
560     --add-include-path=$(srcdir) \
561     --add-include-path=$(top_srcdir)/gir \
562     --add-include-path=$(builddir) \
563     --add-include-path=$(top_builddir) \
564     --add-include-path=$(top_builddir)/gir
565
566 TESTS = \
567         annotationparser.h \
568         callback-invalid-scope.h \
569         callback-missing-scope.h \
570         invalid-allow-none.h \
571         invalid-array.h \
572         invalid-closure.h \
573         invalid-constructor.h \
574         invalid-element-type.h \
575         invalid-method.h \
576         invalid-nullable.h \
577         invalid-option.h \
578         invalid-optional.h \
579         invalid-out.h \
580         invalid-return.h \
581         invalid-transfer.h \
582         missing-element-type.h \
583         return-gobject.h \
584         unknown-parameter.h \
585         unresolved-type.h
586
587 LOG_COMPILER = env PYTHONPATH=$(top_builddir):$(top_srcdir) TOP_BUILDDIR=$(top_builddir) UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
588         $(PYTHON) $(srcdir)/warningtester.py
589
590 EXTRA_DIST = warningtester.py common.h $(TESTS)
591 all: all-am
592
593 .SUFFIXES:
594 .SUFFIXES: .log .test .test$(EXEEXT) .trs
595 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
596         @for dep in $?; do \
597           case '$(am__configure_deps)' in \
598             *$$dep*) \
599               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
600                 && { if test -f $@; then exit 0; else break; fi; }; \
601               exit 1;; \
602           esac; \
603         done; \
604         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/warn/Makefile'; \
605         $(am__cd) $(top_srcdir) && \
606           $(AUTOMAKE) --foreign tests/warn/Makefile
607 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
608         @case '$?' in \
609           *config.status*) \
610             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
611           *) \
612             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
613             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
614         esac;
615 $(top_srcdir)/common.mk $(am__empty):
616
617 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
618         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
619
620 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
621         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
622 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
623         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
624 $(am__aclocal_m4_deps):
625
626 mostlyclean-libtool:
627         -rm -f *.lo
628
629 clean-libtool:
630         -rm -rf .libs _libs
631 tags TAGS:
632
633 ctags CTAGS:
634
635 cscope cscopelist:
636
637
638 # Recover from deleted '.trs' file; this should ensure that
639 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
640 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
641 # to avoid problems with "make -n".
642 .log.trs:
643         rm -f $< $@
644         $(MAKE) $(AM_MAKEFLAGS) $<
645
646 # Leading 'am--fnord' is there to ensure the list of targets does not
647 # expand to empty, as could happen e.g. with make check TESTS=''.
648 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
649 am--force-recheck:
650         @:
651
652 $(TEST_SUITE_LOG): $(TEST_LOGS)
653         @$(am__set_TESTS_bases); \
654         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
655         redo_bases=`for i in $$bases; do \
656                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
657                     done`; \
658         if test -n "$$redo_bases"; then \
659           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
660           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
661           if $(am__make_dryrun); then :; else \
662             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
663           fi; \
664         fi; \
665         if test -n "$$am__remaking_logs"; then \
666           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
667                "recursion detected" >&2; \
668         elif test -n "$$redo_logs"; then \
669           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
670         fi; \
671         if $(am__make_dryrun); then :; else \
672           st=0;  \
673           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
674           for i in $$redo_bases; do \
675             test -f $$i.trs && test -r $$i.trs \
676               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
677             test -f $$i.log && test -r $$i.log \
678               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
679           done; \
680           test $$st -eq 0 || exit 1; \
681         fi
682         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
683         ws='[   ]'; \
684         results=`for b in $$bases; do echo $$b.trs; done`; \
685         test -n "$$results" || results=/dev/null; \
686         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
687         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
688         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
689         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
690         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
691         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
692         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
693         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
694           success=true; \
695         else \
696           success=false; \
697         fi; \
698         br='==================='; br=$$br$$br$$br$$br; \
699         result_count () \
700         { \
701             if test x"$$1" = x"--maybe-color"; then \
702               maybe_colorize=yes; \
703             elif test x"$$1" = x"--no-color"; then \
704               maybe_colorize=no; \
705             else \
706               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
707             fi; \
708             shift; \
709             desc=$$1 count=$$2; \
710             if test $$maybe_colorize = yes && test $$count -gt 0; then \
711               color_start=$$3 color_end=$$std; \
712             else \
713               color_start= color_end=; \
714             fi; \
715             echo "$${color_start}# $$desc $$count$${color_end}"; \
716         }; \
717         create_testsuite_report () \
718         { \
719           result_count $$1 "TOTAL:" $$all   "$$brg"; \
720           result_count $$1 "PASS: " $$pass  "$$grn"; \
721           result_count $$1 "SKIP: " $$skip  "$$blu"; \
722           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
723           result_count $$1 "FAIL: " $$fail  "$$red"; \
724           result_count $$1 "XPASS:" $$xpass "$$red"; \
725           result_count $$1 "ERROR:" $$error "$$mgn"; \
726         }; \
727         {                                                               \
728           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
729             $(am__rst_title);                                           \
730           create_testsuite_report --no-color;                           \
731           echo;                                                         \
732           echo ".. contents:: :depth: 2";                               \
733           echo;                                                         \
734           for b in $$bases; do echo $$b; done                           \
735             | $(am__create_global_log);                                 \
736         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
737         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
738         if $$success; then                                              \
739           col="$$grn";                                                  \
740          else                                                           \
741           col="$$red";                                                  \
742           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
743         fi;                                                             \
744         echo "$${col}$$br$${std}";                                      \
745         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
746         echo "$${col}$$br$${std}";                                      \
747         create_testsuite_report --maybe-color;                          \
748         echo "$$col$$br$$std";                                          \
749         if $$success; then :; else                                      \
750           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
751           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
752             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
753           fi;                                                           \
754           echo "$$col$$br$$std";                                        \
755         fi;                                                             \
756         $$success || exit 1
757
758 check-TESTS:
759         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
760         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
761         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
762         @set +e; $(am__set_TESTS_bases); \
763         log_list=`for i in $$bases; do echo $$i.log; done`; \
764         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
765         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
766         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
767         exit $$?;
768 recheck: all 
769         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
770         @set +e; $(am__set_TESTS_bases); \
771         bases=`for i in $$bases; do echo $$i; done \
772                  | $(am__list_recheck_tests)` || exit 1; \
773         log_list=`for i in $$bases; do echo $$i.log; done`; \
774         log_list=`echo $$log_list`; \
775         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
776                 am__force_recheck=am--force-recheck \
777                 TEST_LOGS="$$log_list"; \
778         exit $$?
779 annotationparser.h.log: annotationparser.h
780         @p='annotationparser.h'; \
781         b='annotationparser.h'; \
782         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
783         --log-file $$b.log --trs-file $$b.trs \
784         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
785         "$$tst" $(AM_TESTS_FD_REDIRECT)
786 callback-invalid-scope.h.log: callback-invalid-scope.h
787         @p='callback-invalid-scope.h'; \
788         b='callback-invalid-scope.h'; \
789         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
790         --log-file $$b.log --trs-file $$b.trs \
791         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
792         "$$tst" $(AM_TESTS_FD_REDIRECT)
793 callback-missing-scope.h.log: callback-missing-scope.h
794         @p='callback-missing-scope.h'; \
795         b='callback-missing-scope.h'; \
796         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
797         --log-file $$b.log --trs-file $$b.trs \
798         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
799         "$$tst" $(AM_TESTS_FD_REDIRECT)
800 invalid-allow-none.h.log: invalid-allow-none.h
801         @p='invalid-allow-none.h'; \
802         b='invalid-allow-none.h'; \
803         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
804         --log-file $$b.log --trs-file $$b.trs \
805         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
806         "$$tst" $(AM_TESTS_FD_REDIRECT)
807 invalid-array.h.log: invalid-array.h
808         @p='invalid-array.h'; \
809         b='invalid-array.h'; \
810         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
811         --log-file $$b.log --trs-file $$b.trs \
812         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
813         "$$tst" $(AM_TESTS_FD_REDIRECT)
814 invalid-closure.h.log: invalid-closure.h
815         @p='invalid-closure.h'; \
816         b='invalid-closure.h'; \
817         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
818         --log-file $$b.log --trs-file $$b.trs \
819         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
820         "$$tst" $(AM_TESTS_FD_REDIRECT)
821 invalid-constructor.h.log: invalid-constructor.h
822         @p='invalid-constructor.h'; \
823         b='invalid-constructor.h'; \
824         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
825         --log-file $$b.log --trs-file $$b.trs \
826         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
827         "$$tst" $(AM_TESTS_FD_REDIRECT)
828 invalid-element-type.h.log: invalid-element-type.h
829         @p='invalid-element-type.h'; \
830         b='invalid-element-type.h'; \
831         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
832         --log-file $$b.log --trs-file $$b.trs \
833         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
834         "$$tst" $(AM_TESTS_FD_REDIRECT)
835 invalid-method.h.log: invalid-method.h
836         @p='invalid-method.h'; \
837         b='invalid-method.h'; \
838         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
839         --log-file $$b.log --trs-file $$b.trs \
840         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
841         "$$tst" $(AM_TESTS_FD_REDIRECT)
842 invalid-nullable.h.log: invalid-nullable.h
843         @p='invalid-nullable.h'; \
844         b='invalid-nullable.h'; \
845         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
846         --log-file $$b.log --trs-file $$b.trs \
847         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
848         "$$tst" $(AM_TESTS_FD_REDIRECT)
849 invalid-option.h.log: invalid-option.h
850         @p='invalid-option.h'; \
851         b='invalid-option.h'; \
852         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
853         --log-file $$b.log --trs-file $$b.trs \
854         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
855         "$$tst" $(AM_TESTS_FD_REDIRECT)
856 invalid-optional.h.log: invalid-optional.h
857         @p='invalid-optional.h'; \
858         b='invalid-optional.h'; \
859         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
860         --log-file $$b.log --trs-file $$b.trs \
861         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
862         "$$tst" $(AM_TESTS_FD_REDIRECT)
863 invalid-out.h.log: invalid-out.h
864         @p='invalid-out.h'; \
865         b='invalid-out.h'; \
866         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
867         --log-file $$b.log --trs-file $$b.trs \
868         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
869         "$$tst" $(AM_TESTS_FD_REDIRECT)
870 invalid-return.h.log: invalid-return.h
871         @p='invalid-return.h'; \
872         b='invalid-return.h'; \
873         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
874         --log-file $$b.log --trs-file $$b.trs \
875         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
876         "$$tst" $(AM_TESTS_FD_REDIRECT)
877 invalid-transfer.h.log: invalid-transfer.h
878         @p='invalid-transfer.h'; \
879         b='invalid-transfer.h'; \
880         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
881         --log-file $$b.log --trs-file $$b.trs \
882         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
883         "$$tst" $(AM_TESTS_FD_REDIRECT)
884 missing-element-type.h.log: missing-element-type.h
885         @p='missing-element-type.h'; \
886         b='missing-element-type.h'; \
887         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
888         --log-file $$b.log --trs-file $$b.trs \
889         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
890         "$$tst" $(AM_TESTS_FD_REDIRECT)
891 return-gobject.h.log: return-gobject.h
892         @p='return-gobject.h'; \
893         b='return-gobject.h'; \
894         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
895         --log-file $$b.log --trs-file $$b.trs \
896         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
897         "$$tst" $(AM_TESTS_FD_REDIRECT)
898 unknown-parameter.h.log: unknown-parameter.h
899         @p='unknown-parameter.h'; \
900         b='unknown-parameter.h'; \
901         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
902         --log-file $$b.log --trs-file $$b.trs \
903         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
904         "$$tst" $(AM_TESTS_FD_REDIRECT)
905 unresolved-type.h.log: unresolved-type.h
906         @p='unresolved-type.h'; \
907         b='unresolved-type.h'; \
908         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
909         --log-file $$b.log --trs-file $$b.trs \
910         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
911         "$$tst" $(AM_TESTS_FD_REDIRECT)
912 .test.log:
913         @p='$<'; \
914         $(am__set_b); \
915         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
916         --log-file $$b.log --trs-file $$b.trs \
917         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
918         "$$tst" $(AM_TESTS_FD_REDIRECT)
919 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
920 @am__EXEEXT_TRUE@       @p='$<'; \
921 @am__EXEEXT_TRUE@       $(am__set_b); \
922 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
923 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
924 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
925 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
926
927 distdir: $(DISTFILES)
928         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
929         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
930         list='$(DISTFILES)'; \
931           dist_files=`for file in $$list; do echo $$file; done | \
932           sed -e "s|^$$srcdirstrip/||;t" \
933               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
934         case $$dist_files in \
935           */*) $(MKDIR_P) `echo "$$dist_files" | \
936                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
937                            sort -u` ;; \
938         esac; \
939         for file in $$dist_files; do \
940           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
941           if test -d $$d/$$file; then \
942             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
943             if test -d "$(distdir)/$$file"; then \
944               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
945             fi; \
946             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
947               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
948               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
949             fi; \
950             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
951           else \
952             test -f "$(distdir)/$$file" \
953             || cp -p $$d/$$file "$(distdir)/$$file" \
954             || exit 1; \
955           fi; \
956         done
957 check-am: all-am
958         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
959 check: check-am
960 all-am: Makefile
961 installdirs:
962 install: install-am
963 install-exec: install-exec-am
964 install-data: install-data-am
965 uninstall: uninstall-am
966
967 install-am: all-am
968         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
969
970 installcheck: installcheck-am
971 install-strip:
972         if test -z '$(STRIP)'; then \
973           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
974             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
975               install; \
976         else \
977           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
978             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
979             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
980         fi
981 mostlyclean-generic:
982         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
983         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
984         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
985
986 clean-generic:
987
988 distclean-generic:
989         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
990         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
991
992 maintainer-clean-generic:
993         @echo "This command is intended for maintainers to use"
994         @echo "it deletes files that may require special tools to rebuild."
995 clean: clean-am
996
997 clean-am: clean-generic clean-libtool mostlyclean-am
998
999 distclean: distclean-am
1000         -rm -f Makefile
1001 distclean-am: clean-am distclean-generic
1002
1003 dvi: dvi-am
1004
1005 dvi-am:
1006
1007 html: html-am
1008
1009 html-am:
1010
1011 info: info-am
1012
1013 info-am:
1014
1015 install-data-am:
1016
1017 install-dvi: install-dvi-am
1018
1019 install-dvi-am:
1020
1021 install-exec-am:
1022
1023 install-html: install-html-am
1024
1025 install-html-am:
1026
1027 install-info: install-info-am
1028
1029 install-info-am:
1030
1031 install-man:
1032
1033 install-pdf: install-pdf-am
1034
1035 install-pdf-am:
1036
1037 install-ps: install-ps-am
1038
1039 install-ps-am:
1040
1041 installcheck-am:
1042
1043 maintainer-clean: maintainer-clean-am
1044         -rm -f Makefile
1045 maintainer-clean-am: distclean-am maintainer-clean-generic
1046
1047 mostlyclean: mostlyclean-am
1048
1049 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1050
1051 pdf: pdf-am
1052
1053 pdf-am:
1054
1055 ps: ps-am
1056
1057 ps-am:
1058
1059 uninstall-am:
1060
1061 .MAKE: check-am install-am install-strip
1062
1063 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
1064         clean-libtool cscopelist-am ctags-am distclean \
1065         distclean-generic distclean-libtool distdir dvi dvi-am html \
1066         html-am info info-am install install-am install-data \
1067         install-data-am install-dvi install-dvi-am install-exec \
1068         install-exec-am install-html install-html-am install-info \
1069         install-info-am install-man install-pdf install-pdf-am \
1070         install-ps install-ps-am install-strip installcheck \
1071         installcheck-am installdirs maintainer-clean \
1072         maintainer-clean-generic mostlyclean mostlyclean-generic \
1073         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
1074         uninstall uninstall-am
1075
1076 .PRECIOUS: Makefile
1077
1078
1079 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1080 # Otherwise a system limit (for SysV at least) may be exceeded.
1081 .NOEXPORT: